Subject: RE: [Simple] RPID: what does tuple-type really mean?

From: [email-masked]
Date: Wed, 23 Jun 2004 10:43:56 +0300

<snip>
 
> >>From partial notification point of view it should be enough
> if these
> >>new
> > elements would have similar ID attribute as tuples
> currently have and
> > that they would share the same ID space. If there can be multiple
> > occurrences of these new 'wrapper types' having similar ID 
> as in tuple
> > makes would be beneficial whether you use partial notifications or
> > not.
> 
> I think it makes sense to use the same id attribute and space. My
> question is, if you did this, would a client that implemented the 
> partial notification spec, but didnt know about a new 
> <device> element, 
> peer to <tuple>, properly construct a PIDF document when sent partial 
> notifications that indicate changes or removal of <device> elements?

Well, that might work but in order to be on a safe side it would be
better if clients would explicitly know about <device> elements. If
attributes would have namespace this should not be a problem but as
there is no way to know if id attribute really is the same id attribute
there might be some nasty conflicts.

- Mikko 

> -Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 23 Jun 2004 11:01:25 -0400

inline.

> there might be some nasty conflicts.

Sorry, I don't quite follow here. What does attribute namespaces have to 
do with it?

-Jonathan R.